Subject: Re: linux-next: manual merge of the tiny tree with the tip tree

From: [email-masked]
Date: Tue, 25 Nov 2014 16:04:33 -0800

On Tue, Nov 25, 2014 at 11:10:44AM +0100, Ingo Molnar wrote:
> * Josh Triplett <[email-masked]> wrote:
> > On Tue, Nov 25, 2014 at 07:16:45AM +0100, Ingo Molnar wrote:
> > > * Stephen Rothwell <[email-masked]> wrote:
> > > > Hi Josh,
> > > > 
> > > > Today's linux-next merge of the tiny tree got a conflict in
> > > > kernel/time/Makefile between commit fd866e2b116b ("time: Rename
> > > > udelay_test.c to test_udelay.c") from the tip tree and commit
> > > > d1f6d68d03ea ("kernel: time: Compile out NTP support") from the tiny
> > > > tree.
> > > 
> > > So I think a timer subsystem commit d1f6d68d03ea with this 
> > > magnitude of linecount increase:
> > > 
> > >  Signed-off-by: Catalina Mocanu <[email-masked]>
> > >  [josh: Handle CONFIG_COMPAT=y.]
> > >  Reviewed-by: Josh Triplett <[email-masked]>
> > >  Signed-off-by: Josh Triplett <[email-masked]>
> > >  ---
> > >   drivers/pps/Kconfig        |  2 +-
> > >   include/linux/timex.h      | 15 +++++++++++++--
> > >   init/Kconfig               | 10 ++++++++++
> > >   kernel/compat.c            |  8 ++++++--
> > >   kernel/sys_ni.c            |  4 ++++
> > >   kernel/time/Makefile       |  3 ++-
> > >   kernel/time/ntp_internal.h | 28 ++++++++++++++++++++++++++++
> > >   kernel/time/posix-timers.c |  2 ++
> > >   kernel/time/time.c         |  2 ++
> > >   kernel/time/timekeeping.c  |  2 ++
> > >   10 files changed, 70 insertions(+), 6 deletions(-)
> > > 
> > > at minimum needs the ack of timer folks, before it can be 
> > > committed to Git. Or is the tiny tree plan to submit all
> > > patches to the appropriate subsystem or gather acks, before 
> > > sending it upstream?
> > 
> > Yes, absolutely.  I planned to send out a tinification patch 
> > review series later this week with all 10 current patches (both 
> > those reviewed on LKML and those only reviewed elsewhere).
> 
> But, but: _please_ don't push patches towards linux-next that 
> haven't been acked by maintainers.
[...snip clear explanation of linux-next...]

Thanks for the clarification, Ingo!  Mind if I use your explanation as
the basis for additional documentation of linux-next?

I've moved the tiny/next branch of my tree to tiny/work, and I'll make
sure that tiny/next only gets patches that have gotten all the necessary
reviews.

- Josh Triplett